## CallyActor CallyActor — Implementation of the ATK interfaces for ClutterActor |

## Functions

void | (*CallyActionFunc) ()
void | (*CallyActionCallback) ()
AtkObject * | cally_actor_new ()
guint | cally_actor_add_action ()
guint | cally_actor_add_action_full ()
gboolean | cally_actor_remove_action ()
gboolean | cally_actor_remove_action_by_name ()

## Types and Values

struct | CallyActor
struct | CallyActorClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyActor
                    ├── CallyClone
                    ├── CallyGroup
                    ├── CallyRectangle
                    ├── CallyText
                    ╰── CallyTexture

## Implemented Interfaces

CallyActor implements AtkComponent and AtkAction.

## Description

CallyActor implements the required ATK interfaces of ClutterActor exposing the common elements on each actor (position, extents, etc).

## Functions

### CallyActionFunc ()

    void
    (*CallyActionFunc) (CallyActor *cally_actor);

Action function, to be used on AtkAction implementations as a individual action

#### Parameters

cally_actor | a CallyActor |

Since 1.4

### CallyActionCallback ()

    void
    (*CallyActionCallback) (CallyActor *cally_actor,
                            gpointer user_data);

Action function, to be used on AtkAction implementations as an individual action. Unlike CallyActionFunc, this function uses the `user_data` argument passed to `cally_actor_add_action_full()`.

#### Parameters

cally_actor | a CallyActor |
user_data | user data passed to the function |

Since 1.6

### cally_actor_new ()

    AtkObject *
    cally_actor_new (ClutterActor *actor);

Creates a new CallyActor for the given `actor`

#### Parameters

actor | a ClutterActor |

#### Returns

the newly created AtkObject

Since 1.4

### cally_actor_add_action ()

    guint
    cally_actor_add_action (CallyActor *cally_actor,
                            const gchar *action_name,
                            const gchar *action_description,
                            const gchar *action_keybinding,
                            CallyActionFunc action_func);

Adds a new action to be accessed with the AtkAction interface.

#### Parameters

cally_actor | a CallyActor |
action_name | the action name |
action_description | the action description |
action_keybinding | the action keybinding |
action_func | the callback of the action, to be executed with do_action |

#### Returns

added action id, or -1 if failure

Since 1.4

### cally_actor_add_action_full ()

    guint
    cally_actor_add_action_full (CallyActor *cally_actor,
                                 const gchar *action_name,
                                 const gchar *action_description,
                                 const gchar *action_keybinding,
                                 CallyActionCallback callback,
                                 gpointer user_data,
                                 GDestroyNotify notify);

Adds a new action to be accessed with the AtkAction interface.

#### Parameters

cally_actor | a CallyActor |
action_name | the action name |
action_description | the action description |
action_keybinding | the action keybinding |
callback | the callback of the action. | [scope notified]
user_data | data to be passed to `callback` . | [closure]
notify | function to be called when removing the action |

#### Returns

added action id, or -1 if failure

Since 1.6

### cally_actor_remove_action ()

    gboolean
    cally_actor_remove_action (CallyActor *cally_actor,
                               gint action_id);

Removes a action, using the `action_id` returned by `cally_actor_add_action()`

#### Parameters

cally_actor | a CallyActor |
action_id | the action id |

#### Returns

`TRUE` if the operation was succesful, `FALSE` otherwise

Since 1.4

### cally_actor_remove_action_by_name ()

    gboolean
    cally_actor_remove_action_by_name (CallyActor *cally_actor,
                                       const gchar *action_name);

Removes an action, using the `action_name` used when the action was added with `cally_actor_add_action()`

#### Parameters

cally_actor | a CallyActor |
action_name | the name of the action to remove |

#### Returns

`TRUE` if the operation was succesful, `FALSE` otherwise

Since 1.4

## Types and Values

### struct CallyActor

    struct CallyActor;

The <structname>CallyActor</structname> structure contains only private data and should be accessed using the provided API

Since 1.4

### struct CallyActorClass

    struct CallyActorClass {
      void     (*notify_clutter) (GObject    *object,
                                  GParamSpec *pspec);

      gboolean (*focus_clutter)  (ClutterActor *actor,
                                  gpointer      data);

      gint     (*add_actor)      (ClutterActor *container,
                                  ClutterActor *actor,
                                  gpointer      data);

      gint     (*remove_actor)   (ClutterActor *container,
                                  ClutterActor *actor,
                                  gpointer      data);
    };

The <structname>CallyActorClass</structname> structure contains only private data

#### Members

`notify_clutter` () | Signal handler for notify signal on Clutter actor |
`focus_clutter` () | Signal handler for key-focus-in and key-focus-out signal on Clutter actor. This virtual functions is deprecated. |
`add_actor` () | Signal handler for actor-added signal on ClutterContainer interface |
`remove_actor` () | Signal handler for actor-added signal on ClutterContainer interface |

Since 1.4

## See Also

ClutterActor